package com.ibm.ccl.ua.generators.sitexml;

import java.util.ArrayList;

import org.eclipse.core.runtime.PluginVersionIdentifier;
import org.eclipse.update.core.IFeature;

public class VersionUtility {

	public static ArrayList handleDuplicateFeature(ArrayList currFeaturesToAdd, IFeature currFeature, IFeature newFeature, int duplicateIndex)
	{
		
		IFeature latestFeature;
		
		latestFeature= getLatestFeature(currFeature,newFeature);
		
		currFeaturesToAdd.remove(duplicateIndex);
		currFeaturesToAdd.add(duplicateIndex, latestFeature);
		
		return currFeaturesToAdd;
		
	}
	
	public static IFeature getLatestFeature(IFeature currFeature,IFeature newFeature)
	{
		PluginVersionIdentifier currVersion, newVersion;
		
		currVersion=currFeature.getVersionedIdentifier().getVersion();
		newVersion=newFeature.getVersionedIdentifier().getVersion();
		
		if(currVersion.isGreaterThan(newVersion))
		{
			return currFeature;
		}
		else
		{
			return newFeature;
		}
		
	}
	
}
